export const Columns = [
  {
    key: "puOrgName",
    title: "采购组织",
    type: "PopoverSelect",
    config: {
      componentName: "ORG_PARAM",
      dataMapping: {
        puOrg: "code",
        puOrgName: "name",
      },
    },
    require: true,
  },
  {
    key: "billTypeName",
    title: "订单类型",
    type: "Select",

    config: {
      optionsName: "sys_order_type", // 字典名
      dataMapping: {
        billType: "code",
        billTypeName: "name",
      },
    },
  },
  // { key: "billTypeName", title: "订单类型名称", },
  { key: "oaDemandNo", title: "OA需求单号", type: "Input", },
  { key: "code", title: "订单编号", type: "Input", },
  {
    key: "billDate",
    title: "订单日期",
    inputType: "DatePicker",
    type: "date",
    valueFormat: "yyyy-MM-dd",
    width: 200,
  },
  {
    key: "supplierName",
    title: "供应商",
    type: "PopoverSelect",
    config: {
      componentName: "SUPPLIER_PARAM",
      dataMapping: {
        supplier: "code",
        supplierName: "name",
      },
    },
    require: true,
  },
  {
    key: "paymentAgreementName",
    title: "付款协议",
    type: "PopoverSelect",
    config: {
      componentName: "PAYAGREEMENT_PARAM",
      dataMapping: {
        paymentAgreement: "code",
        paymentAgreementName: "name",
      },
    },
  },
  {
    key: "finalTypeName",
    title: "结算方式",
    type: "PopoverSelect",
    config: {
      componentName: "BALATYPE_PARAM",
      dataMapping: {
        finalType: "code",
        finalTypeName: "name",
      },
    },
  },
  {
    key: "currencyName",
    title: "币种",
    type: "PopoverSelect",
    config: {
      componentName: "CURRENCY_PARAM",
      dataMapping: {
        currency: "code",
        currencyName: "name",
      },
    },
  },
  {
    key: "buyerName",
    title: "采购员",
    type: "PopoverSelect",
    config: {
      componentName: "CONTACTS_PARAM",
      dataMapping: {
        buyer: "code",
        buyerName: "name",
        // puDept: "deptId",
        // puDeptName: "deptName",
      },
    },
    require: true,
  },
  {
    key: "puDeptName",
    title: "采购部门",
    type: "PopoverSelect",
    config: {
      componentName: "DEPT_PARAM",
      dataMapping: {
        puDept: "code",
        puDeptName: "name",
      },
    },
    require: true,
  },
  {
    key: "customerName",
    title: "收货客户",
    type: "PopoverSelect",
    width: 200,
    require: true,
    config: {
      componentName: "CUSTOMER_PARAM",
      dataMapping: {
        customer: "code",
        customerName: "name",
      },
    },
  },
  {
    key: "qty",
    title: "总数量",
    type: "InputNumber",
    config: { controlsPosition: "right" },
  },
  {
    key: "originalQty",
    title: "原始总数量",
    type: "InputNumber",
    config: { controlsPosition: "right" },
  },
  { key: "money", title: "价税合计", type: "Input", },
  { key: "originalMoney", title: "原始总金额", type: "Input", },
  { key: "notaxMoney", title: "无税金额", type: "Input", },
  {
    key: "status",
    title: "单据状态",
    type: "Select",
    require: true,
    config: {
      optionsName: "sys_status", // 字典名
    },

  },
  { key: "freezeCause", title: "冻结原因", type: "Checkbox", },
  { key: "isBack", title: "退货", type: "Input", type: "Checkbox", },
  { key: "isMarketing", title: "已协同生成销售订单", type: "Checkbox", },
  { key: "isMarketingSource", title: "由销售订单协同生成", type: "Checkbox", },
  {
    key: "warehouseName",
    title: "WMS入库仓库", // 收货仓库
    type: "PopoverSelect",
    require: true,
    config: {
      componentName: "WAREHOUSE_PARAM",
      dataMapping: {
        warehouse: "code",
        warehouseName: "name",
      }
    },
  },
  {
    key: "goodsAllocationName",
    title: "货位",
    type: "PopoverSelect",
    require: true,
    config: {
      componentName: "ALLOCATION_PARAM",
      dataMapping: {
        goodsAllocation: "code",
        goodsAllocationName: "name",
      },
      queryParams: {
        pkOrg: 'puOrg',
      }
    },
    width: 200,
  },
  { key: "isSendSrm", title: "是否同步SRM", type: "Checkbox", },
  { key: "isInvoice", title: "发票标识", type: "Checkbox", },
  { key: "supplierOrderNo", title: "供应商订单号", type: "Input", },
  { key: "rebateMoney", title: "订单使用返利金额", type: "Input", },
  { key: "deductionMoney", title: "订单抵扣余款金额", type: "Input", },
  { key: "address", title: "收货地址", type: "Input", },
  { key: "contacts", title: "收货联系人", type: "Input", },
  {
    key: "customerDeptName",
    title: "客户部门",
    type: "PopoverSelect",
    width: 200,
    config: {
      componentName: "CUSTOMERDEPT_PARAM",
      dataMapping: {
        customerDept: "code",
        customerDeptName: "name",
      },
    },
  },
  {
    key: "supplierContactsName",
    title: "供应商业务联系人",
    type: "PopoverSelect",
    require: true,
    config: {
      componentName: "SUPPLIERCONTACTS_PARAM",
      dataMapping: {
        supplierContacts: "code",
        supplierContactsName: "name",
      },
    },
    width: 200,
  },
  { key: "isUrgency", title: "紧急程度", type: "Checkbox", },
  { key: "isSendWms", title: "已同步WMS", type: "Checkbox", },
  // { key: "agent", title: "代理人", type: "Input", }, // 建议删除
  // { key: "agentName", title: "代理人名称", },
  { key: "isClose", title: "最终关闭", type: "Checkbox", },
  {
    key: "closeTime",
    title: "最终关闭日期",
    inputType: "DatePicker",
    type: "date",
    valueFormat: "yyyy-MM-dd",
  },
  { key: "applyPaymentMoney", title: "累计付款申请金额", type: "Input", },
  { key: "paymentMoney", title: "累计付款金额", type: "Input", },
  { key: "invoiceMoney", title: "发票金额", type: "Input", },
  // {
  //   key: "supplierPersonal",
  //   title: "供应商业务员",
  //   type: "Input",
  //   // type: "PopoverSelect",
  // },
  {
    key: "supplierPersonalName",
    title: "供应商业务员名称",
    type: "PopoverSelect",
    config: {
      componentName: "SUPPLIERCONTACTS_PARAM",
      dataMapping: {
        supplierPersonal: "code",
        supplierPersonalName: "name",
      },
    },
    require: true,
  },
  { key: "isDeliver", title: "是否发货", type: "Checkbox", },
  {
    key: "retReasonName",
    title: "退换原因",
    type: "PopoverSelect",
    require: true,
    config: {
      componentName: "RETREASON_PARAM",
      dataMapping: {
        retReason: "code",
        retReasonName: "name",
      },
    },
  },
  {
    key: "processTypeName",
    title: "处理方式",
    type: "PopoverSelect",
    require: true,
    config: {
      componentName: "PROCESSTYPE_PARAM",
      dataMapping: {
        processType: "code",
        processTypeName: "name",
      },
    },
  },
  { key: "isEnd", title: "整单关闭标识", type: "Input", },
  {
    key: "projectNowName",
    title: "在建工程项目",
    type: "PopoverSelect",
    require: true,
    config: {
      componentName: "PROJECT_PARAM",
      dataMapping: {
        projectNow: "code",
        projectNowName: "name",
      },
    },
  },
  {
    key: "operatingItemsName",
    title: "经营性项目",
    type: "PopoverSelect",
    require: true,
    config: {
      componentName: "OPERATING_PARAM",
      dataMapping: {
        operatingItems: "code",
        operatingItemsName: "name",
      },
    },
  },
  { key: "isArrivalReson", title: "到货超期原因", type: "Input", },
  { key: "midOrderNo", title: "中台采购订单号", type: "Input", },
  { key: "marketingCode", title: "销售订单号", type: "Input", },
  { key: "isArrival", title: "到货超期", type: "Checkbox", },
  { key: "createByName", title: "创建人名称", type: "Input", },
  { key: "updateByName", title: "更新人名称", type: "Input", },
  { key: "flowId", title: "OA流程ID", type: "Input", },
  { key: "approver", title: "审批人", type: "Input", },
  {
    key: "approverFinishTime",
    title: "审批时间",
    inputType: "DatePicker",
    type: "date",
    valueFormat: "yyyy-MM-dd",
  },
  {
    key: "approveTime",
    title: "提交时间",
    inputType: "DatePicker",
    type: "date",
    valueFormat: "yyyy-MM-dd",
  },

];

// export const initColumns = () => columns;

export const TabColumns = [
  {
    title: '物料信息',
    key: 'puOrderItemList',
    tableColumns: [
      { key: "rowNo", title: "行号", type: "Input", },
      { key: "orderId", title: "采购订单ID", type: "Input", width: 180 },
      // {key: "material",title: "物料",type: "Input",   },
      { key: "materialName", title: "物料", type: "Input", width: 180 },
      {
        key: "materialCode",
        title: "物料编码",
        type: "PopoverSelect",
        width: 180,
        config: {
          componentName: "MATERIAL_PARAM",
          dataMapping: {
            material: "id",
            materialName: "name",
            materialCode: "code",
          },
        },
      },
      { key: "materialClassify", title: "物料分类", type: "Input", width: 180 },
      { key: "materialManufacturersCode", title: "厂家物料编码", type: "Input", width: 180 },
      { key: "specification", title: "规格", type: "Input", width: 180 },
      { key: "model", title: "型号", type: "Input", },
      { key: "isMedcine", title: "医药物料", type: "Input", width: 180 },
      { key: "manufacturer", title: "生产厂家代理人", type: "Input", width: 180 },
      { key: "isDrug", title: "物料药品属性", type: "Input", width: 180 },
      { key: "unit", title: "单位", type: "Input", },
      { key: "qty", title: "数量", type: "Input", },
      { key: "taxPrice", title: "含税单价", type: "Input", },
      { key: "money", title: "价税合计", type: "Input", },
      { key: "tax", title: "税率", type: "Input", },
      { key: "taxDeductMoneya", title: "折扣金额", type: "Input", },
      { key: "arrivalQty", title: "已到货数量", type: "Input", },
      { key: "unarrivedQty", title: "未到货数量", type: "Input", },
      { key: "notaxMoney", title: "无税金额", type: "Input", },
      { key: "priceSource", title: "价格目录ID", type: "Input", },
      { key: "isStorage", title: "入库关闭", type: "Input", },
      { key: "isInvoice", title: "开票关闭", type: "Input", },
      { key: "isArrival", title: "到货关闭", type: "Input", },
      { key: "isPayment", title: "付款关闭", type: "Input", },
      { key: "isGift", title: "赠品", type: "Input", width: 180 },
      {
        key: "warehouseName",
        title: "收货仓库", //WMS入库仓库
        type: "PopoverSelect",
        config: {
          componentName: "WAREHOUSE_PARAM",
          dataMapping: {
            warehouse: "code",
            warehouseName: "name",
          }
        },
        width: 200,
      },
      { key: "place", title: "收货地点", type: "Input", width: 180 },
      { key: "address", title: "收货地址", type: "Input", width: 180 },
      { key: "productBatch", title: "产品批号", type: "Input", width: 180 },
      { key: "manufactureDate", title: "生产日期", type: "Input", width: 180 },
      { key: "efficacyLoseDate", title: "有效期至/失效日期", type: "Input", width: 180 },
      { key: "approvalNumber", title: "批准文号", type: "Input", width: 180 },
      { key: "registration", title: "注册证号", type: "Input", width: 180 },

      {
        key: "storageCondition",
        title: "存储条件",
        type: "Select",
        config: {
          optionsName: "sys_storage_condition",
        },
        width: 180
      },
      {
        key: "carriageCondition",
        title: "运输条件",
        type: "Select",
        config: {
          optionsName: "sys_conditions_carriage",
        },
        width: 180
      },

      { key: "isBatchLock", title: "批号锁定标识", type: "Input", },
      { key: "isReplenishment", title: "补单标识", type: "Input", },
      { key: "isUrgency", title: "紧急标识", type: "Input", },
      { key: "originalQty", title: "原始数量", type: "Input", },
      { key: "originalMoney", title: "原始金额", type: "Input", },
      { key: "directProductBatch", title: "直运产品批号", type: "Input", width: 180 },
      { key: "discountRule", title: "折扣规则编码", type: "Input", width: 180 },
      { key: "reservedQty", title: "预留数量", type: "Input", },
      { key: "reservedPeriod", title: "预留周期", type: "Input", },
      { key: "taxDeductClassify", title: "扣税类别", type: "Input", },
      { key: "exchangeRate", title: "折本汇率", type: "Input", },
      { key: "source", title: "上游单据号", type: "Input", width: 180 },
      { key: "sourceId", title: "上游单据ID", type: "Input", width: 180 },
      { key: "demandCode", title: "采购需求单号", type: "Input", width: 180 },
      { key: "arrivalDatePlan", title: "计划到货日期", type: "Input", width: 180 },
      {
        key: "priceType",
        title: "价格类型",
        type: "Select",
        config: {
          optionsName: "sys_price_type",
        },
      },
      { key: "isDistributionPrice", title: "配送价", type: "Input", },
      { key: "createByName", title: "创建人名称", type: "Input", },
      { key: "updateByName", title: "更新人名称", type: "Input", },
      { key: "materialClassifyOneName", title: "物料一级分类名称", type: "Input", width: 180 },
      { key: "materialClassifyTwoName", title: "物料二级分类名称", type: "Input", width: 180 },
      { key: "materialClassifyThreeName", title: "物料三级分类名称", type: "Input", width: 180 },
      { key: "materialClassifyFourName", title: "物料四级分类名称", type: "Input", width: 180 },
      { key: "price", title: "无税单价", type: "Input", }
    ]
  },
  {
    title: '执行结果',
    key: 'puOrderExecuteList',
    tableColumns: [
      { key: "orderId", title: "采购订单ID", type: "Input", width: 180 },
      { key: "rowno", title: "行号", type: "Input", },
      {
        key: "materialName",
        title: "物料",
        type: "PopoverSelect",
        config: {
          componentName: "MATERIAL_PARAM",
          dataMapping: {
            material: "id",
            materialName: "name",
            materialCode: "code",
          },
        },
        width: 180
      },
      { key: "specification", title: "规格", type: "Input", },
      { key: "qty", title: "数量", type: "Input", },
      { key: "stroageQty", title: "累计到货主数量", type: "Input", width: 120 },
      { key: "stockQty", title: "累计入库主数量", type: "Input", width: 120 },
      { key: "invoiceQty", title: "累计开票主数量", type: "Input", width: 120 },
      { key: "rollbackQty", title: "累计退货主数量", type: "Input", width: 120 },
      { key: "backStockQty", title: "累计退库主数量", type: "Input", width: 120 },
      { key: "floatQty", title: "未到货数量", type: "Input", width: 120 },
      { key: "createByName", title: "创建人名称", type: "Input", width: 120 },
      { key: "updateByName", title: "更新人名称", type: "Input", width: 120 },
    ]
  },
];

// export const initTabColumns = () => tabColumns;
